/*  */
function result_action_detail(path,sval,mode,act,eris,pmsg,omsg,mtype,shfunc){
	var loary = JSON.parse(return_language_str(path, sval, mode, '', ''));
	if(confirm(((loary[pmsg]) ? loary[pmsg] : pmsg)+'?')){
		var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act='+act;
		$.post(url, eris, function(msg){
			// console.log(msg);
			var ret_msg = JSON.parse(msg);
			if(ret_msg[0].result == 'false'){
				alert(ret_msg[0].message);
				if(act == 'mdel'){
					$('#result_keys_'+mtype).val('');
					eval('if (typeof '+shfunc+' == "function") '+shfunc+'();');
				} else return false;
			}else{
				if (omsg == '') alert(ret_msg[0].message);
				else alert(((loary[omsg]) ? loary[omsg] : omsg)+'!');
				$('#result_keys_'+mtype).val('');
				eval('if (typeof '+shfunc+' == "function") '+shfunc+'();');
			}
		});
	}
}